
CoCoA-5 - Bug #207

BuiltIn Normaliz functions not available in C5 gui

10 Jul 2012 12:22 - Christof Soeger

Status: Closed Start date: 10 Jul 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: GUI Estimated time: 0.00 hour

Target version: CoCoA-5.0.3 Spent time: 4.75 hours

Description

It works with the CoCoAInterpreter, but not in the gui.

# NormalizComputation(Cone, ["HilbertBasis", "HilbertPoly"]);

ERROR: Cannot find a variable named "NormalizComputation" in scope

Other functions from BuildInFunctions like VersionInfo() work.

Related issues:

Related to CoCoALib - Support #452: Documentation for adding functions to CoC... Closed 01 Mar 2014

Related to CoCoA-5 - Bug #519: GUI: fix DEFINES in makefile Closed 03 Apr 2014

History

#1 - 10 Jul 2012 12:27 - Anna Maria Bigatti

hmmmm, I guess that the GUI compilation does not see/set the compilation flags for external libraries from configuration/autoconf.mk.

We must find a way to pass them to C5.pro.

#2 - 11 Jul 2012 15:24 - Anna Maria Bigatti

... work in progress ...

#3 - 11 Jul 2012 17:09 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 80

#4 - 16 Jul 2012 12:50 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.3

- % Done changed from 80 to 90

Now "configure" exports to configuration/autoconf.mk <lib>_FLAG (e.g. NORMALIZ_FLAG = -DCoCoA-with-Normaliz) and <lib>_INC_DIR so they

can be passed to make-c5makefile to be included in C5.pro.

Nothing has changed for the user (configure syntax is identical)

I think that's going to be easy to maintain and extend.

#5 - 17 Jul 2012 15:00 - Anna Maria Bigatti

- Status changed from New to Feedback

#6 - 19 Jul 2012 17:18 - Christof Soeger

I get an linker error because some libnormaliz functions cannot find some gmp functions. To correct this the libnormaliz.a should come before the
libgmpxx.a (I suggest right after libcocoa.a) in the C5Makefile.

I modified the C5Makefile and after that the BuildIn Normaliz functions are availabe. :)

#7 - 19 Jul 2012 19:06 - Anna Maria Bigatti

fixed and cvs-ed

#8 - 31 Jul 2012 15:58 - Anna Maria Bigatti

- Subject changed from BuildIn Normaliz functions not available in C5 gui to BuiltIn Normaliz functions not available in C5 gui

#9 - 31 Jul 2012 16:14 - Anna Maria Bigatti

Waiting for feedback... does it work now?

#10 - 01 Aug 2012 15:09 - Christof Soeger

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Works fine now, thanks for fixing!
